---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass008.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50F90, symBinAddr: 0x63D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52ED0, symBinAddr: 0x8310, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x532C0, symBinAddr: 0x8700, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54260, symBinAddr: 0x96A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54270, symBinAddr: 0x96B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50AD0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50AD4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50AD8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50C20, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50CD8, symBinAddr: 0x6218, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50CDC, symBinAddr: 0x621C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50CE0, symBinAddr: 0x6220, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50CE4, symBinAddr: 0x6224, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50CE8, symBinAddr: 0x6228, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50CF0, symBinAddr: 0x6230, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50D08, symBinAddr: 0x6248, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50D10, symBinAddr: 0x6250, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50D18, symBinAddr: 0x6258, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50D20, symBinAddr: 0x6260, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50D28, symBinAddr: 0x6268, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50D70, symBinAddr: 0x6270, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50D78, symBinAddr: 0x6278, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50D88, symBinAddr: 0x6288, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL8redefCls, symObjAddr: 0x50EC0, symBinAddr: 0x63C0, symSize: 0x0 }
  - { offsetInCU: 0x9122, offset: 0x9122, size: 0x8, addend: 0x0, symName: __ZL11breakpoints, symObjAddr: 0xE490, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x91CD, offset: 0x91CD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1000, symSize: 0x80 }
  - { offsetInCU: 0x9262, offset: 0x9262, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF50, symSize: 0xB0 }
  - { offsetInCU: 0x92BD, offset: 0x92BD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE50, symSize: 0x100 }
  - { offsetInCU: 0x9550, offset: 0x9550, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1080, symSize: 0x220 }
  - { offsetInCU: 0x9735, offset: 0x9735, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x12A0, symSize: 0xA0 }
  - { offsetInCU: 0x97E8, offset: 0x97E8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1340, symSize: 0x110 }
  - { offsetInCU: 0x98DE, offset: 0x98DE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1450, symSize: 0x150 }
  - { offsetInCU: 0x9A0F, offset: 0x9A0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x15A0, symSize: 0x30 }
  - { offsetInCU: 0x9AD0, offset: 0x9AD0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x15D0, symSize: 0x150 }
  - { offsetInCU: 0x9CC8, offset: 0x9CC8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1720, symSize: 0x160 }
  - { offsetInCU: 0x9E54, offset: 0x9E54, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1880, symSize: 0x1B0 }
  - { offsetInCU: 0xA06F, offset: 0xA06F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1A30, symSize: 0xA0 }
  - { offsetInCU: 0xA16A, offset: 0xA16A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1AD0, symSize: 0x20 }
  - { offsetInCU: 0xA1A1, offset: 0xA1A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1AF0, symSize: 0x20 }
  - { offsetInCU: 0xA1D8, offset: 0xA1D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1B10, symSize: 0x20 }
  - { offsetInCU: 0xA347, offset: 0xA347, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1B30, symSize: 0x1A0 }
  - { offsetInCU: 0xA665, offset: 0xA665, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1CD0, symSize: 0x80 }
  - { offsetInCU: 0xA72E, offset: 0xA72E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1D50, symSize: 0x6C0 }
  - { offsetInCU: 0xB2A4, offset: 0xB2A4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA370, symBinAddr: 0x3180, symSize: 0xB0 }
  - { offsetInCU: 0xB31B, offset: 0xB31B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2410, symSize: 0x70 }
  - { offsetInCU: 0xB42F, offset: 0xB42F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2480, symSize: 0xA0 }
  - { offsetInCU: 0xB55A, offset: 0xB55A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2520, symSize: 0x40 }
  - { offsetInCU: 0xB650, offset: 0xB650, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2560, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F6, offset: 0xB9F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2810, symSize: 0xC0 }
  - { offsetInCU: 0xBB3C, offset: 0xBB3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x28D0, symSize: 0x10 }
  - { offsetInCU: 0xBBFE, offset: 0xBBFE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x28E0, symSize: 0x240 }
  - { offsetInCU: 0xBEE7, offset: 0xBEE7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2B20, symSize: 0x10 }
  - { offsetInCU: 0xBF3D, offset: 0xBF3D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2B30, symSize: 0x150 }
  - { offsetInCU: 0xC107, offset: 0xC107, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x2C80, symSize: 0x10 }
  - { offsetInCU: 0xC15D, offset: 0xC15D, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9E80, symBinAddr: 0x2C90, symSize: 0x10 }
  - { offsetInCU: 0xC202, offset: 0xC202, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass008_setBreakpoints, symObjAddr: 0x9E90, symBinAddr: 0x2CA0, symSize: 0x1D0 }
  - { offsetInCU: 0xC3E4, offset: 0xC3E4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass008_makeRedefinition, symObjAddr: 0xA060, symBinAddr: 0x2E70, symSize: 0x100 }
  - { offsetInCU: 0xC529, offset: 0xC529, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass008_getResult, symObjAddr: 0xA160, symBinAddr: 0x2F70, symSize: 0x210 }
  - { offsetInCU: 0xC6B8, offset: 0xC6B8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA420, symBinAddr: 0x3230, symSize: 0x36A }
...
